%define name clanbomber
%define version 1.01
%define release 6mdk

Summary: Clanbomber - free (GPL) Bomberman-like multiplayer game 
Name: %{name}
Version: %{version}
Release: %{release}
Source: http://www.clanbomber.de/files/clanbomber-1.01.tar.bz2
Source1: %{name}.16.xpm.bz2
Source2: %{name}.32.xpm.bz2
Patch0: clanbomber-unforce-cxxflags.patch.bz2
Patch1: clanbomber-add-pkgdatadir.patch.bz2
Patch2: clanbomber-add-mandrake-keys.patch.bz2
URL: http://www.clanbomber.de/
Copyright: GPL
Group: Games/Arcade
Packager: Guillaume Cottenceau <gc@mandrakesoft.com>
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: zlib-devel Hermes-devel ClanLib-devel ClanLib-mikmod libmikmod-devel
Requires: zlib Hermes ClanLib ClanLib-mikmod

%description
ClanBomber is a free (GPL) Bomberman-like multiplayer game that uses ClanLib, a
free multi platform C++ game SDK. First "ClanBomber" was only a working title
for a small game started in September 1998, that has only been started to learn
how to use ClanLib. But the ClanBomber project has grown into a real game. It
is fully playable and features Computer controlled bombers, however, it is
recommended to play ClanBomber with friends (3-8 players are really fun).

%prep
%setup -q
%patch0 -p0
%patch1 -p0
%patch2 -p0
perl -pi -e 's|\@datadir\@|\$(datadir)|' */Makefile.am */*/Makefile.am

%build
autoconf
%configure --bindir=%{_gamesbindir} --datadir=%{_gamesdatadir}
make

%install
rm -rf "$RPM_BUILD_ROOT"
%makeinstall bindir=$RPM_BUILD_ROOT%{_gamesbindir} datadir=$RPM_BUILD_ROOT%{_gamesdatadir}

mkdir -p $RPM_BUILD_ROOT/%{_menudir}
cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/%{name}
?package(%{name}):command="%{_bindir}/launch_x11_clanapp %{_gamesbindir}/%{name}" icon="%{name}.xpm" \
  needs="x11" section="Amusement/Arcade" title="ClanBomber" \
  longtitle="%{summary}"
EOF

mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.xpm
bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.xpm

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README
%{_gamesbindir}/*
%{_gamesdatadir}/*
%{_menudir}/%{name}
%{_miconsdir}/%{name}.xpm
%{_iconsdir}/%{name}.xpm

%changelog
* Wed Sep  6 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.01-6mdk
- menu: now launches automatically the x11 target

* Wed Aug 23 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.01-5mdk
- automatically added packager tag

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.01-4mdk
- automatically added BuildRequires

* Tue Aug  1 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.01-3mdk
- menu entry

* Tue Aug  1 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.01-2mdk
- added patch for support for mandrake keys (use MANDRAKE_KEYS envvar)

* Mon Jul 31 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.01-1mdk
- first package for Linux-Mandrake

